tuple_algorithms.hpp File Reference

Various meta-functions for operating the content of a tuple. More...

`#include <restinio/compiler_features.hpp>`
`#include <utility>`
`#include <tuple>`

Go to the source code of this file.

## Namespaces

namespace | restinio
namespace | restinio::utils
namespace | restinio::utils::tuple_algorithms
namespace | restinio::utils::tuple_algorithms::impl

## Typedefs

template<typename T >
using | restinio::utils::tuple_algorithms::impl::index_sequence_for_tuple = std::make_index_sequence< std::tuple_size< T >::value >

## Functions

template<typename Predicate >
RESTINIO_NODISCARD bool | restinio::utils::tuple_algorithms::impl::all_of_impl (Predicate &&)
template<typename Predicate , typename T , typename... Vs>
RESTINIO_NODISCARD bool | restinio::utils::tuple_algorithms::impl::all_of_impl (Predicate &&p, T &&current, Vs &&... rest)
template<typename Predicate , typename Tuple , std::size_t... I>
RESTINIO_NODISCARD bool | restinio::utils::tuple_algorithms::impl::perform_all_of (Predicate &&p, Tuple &&t, std::index_sequence< I... >)
template<typename Predicate >
RESTINIO_NODISCARD bool | restinio::utils::tuple_algorithms::impl::any_of_impl (Predicate &&)
template<typename Predicate , typename T , typename... Vs>
RESTINIO_NODISCARD bool | restinio::utils::tuple_algorithms::impl::any_of_impl (Predicate &&p, T &&current, Vs &&... rest)
template<typename Predicate , typename Tuple , std::size_t... I>
RESTINIO_NODISCARD bool | restinio::utils::tuple_algorithms::impl::perform_any_of (Predicate &&p, Tuple &&t, std::index_sequence< I... >)
template<typename Tuple , typename Predicate >
RESTINIO_NODISCARD bool | restinio::utils::tuple_algorithms::all_of (Tuple &&tuple, Predicate &&predicate)
template<typename Tuple , typename Predicate >
RESTINIO_NODISCARD bool | restinio::utils::tuple_algorithms::any_of (Tuple &&tuple, Predicate &&predicate)

## Detailed Description

Various meta-functions for operating the content of a tuple.

Since
  v.0.6.1

Definition in file tuple_algorithms.hpp.